Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 5.8.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.autoinventory
Class ScanStateCore

    java.lang.Object
      org.hyperic.hq.autoinventory.ScanStateCore

All Implemented Interfaces:
  Serializable

    public class ScanStateCore

extends Object
implements Serializable

This class just encapsulates the "raw data" part of the scan state, without any utility methods or other flim-flam. It exists to make it easy to move scan states across SOAP and other network transports.

See Also:
  Serialized Form

Constructor Summary
`ScanStateCore()`

Method Summary
`static ScanStateCore` | `fromAgentRemoteValue(String keyName, org.hyperic.hq.agent.AgentRemoteValue arv)` Read the contents of an AgentRemoteValue object and create a scan state.
`boolean` | `getAreServersIncluded()`
`String` | `getCertDN()`
`long` | `getEndTime()`
`org.hyperic.util.StringifiedException` | `getGlobalException()`
`org.hyperic.hq.appdef.shared.AIIpValue[]` | `getIps()`
`boolean` | `getIsDone()`
`boolean` | `getIsInterrupted()`
`AIPlatformValue` | `getPlatform()`
`ScanMethodState[]` | `getScanMethodStates()`
`long` | `getStartTime()`
`void` | `setAreServersIncluded(boolean b)`
`void` | `setCertDN(String certDN)`
`void` | `setEndTime(long _endTime)`
`void` | `setGlobalException(org.hyperic.util.StringifiedException _globalException)`
`void` | `setIps(org.hyperic.hq.appdef.shared.AIIpValue[] ips)`
`void` | `setIsDone(boolean b)`
`void` | `setIsInterrupted(boolean b)`
`void` | `setPlatform(AIPlatformValue platform)`
`void` | `setScanMethodStates(ScanMethodState[] scanMethodStates)`
`void` | `setStartTime(long _startTime)`
`void` | `toAgentRemoteValue(String keyName, org.hyperic.hq.agent.AgentRemoteValue arv)` Write the contents of this scan state to an AgentRemoteValue object.
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ScanStateCore

    public ScanStateCore()

Method Detail

### getScanMethodStates

    public ScanMethodState[] getScanMethodStates()

### setScanMethodStates

    public void setScanMethodStates(ScanMethodState[] scanMethodStates)

### getStartTime

    public long getStartTime()

### setStartTime

    public void setStartTime(long _startTime)

### getEndTime

    public long getEndTime()

### setEndTime

    public void setEndTime(long _endTime)

### getGlobalException

    public org.hyperic.util.StringifiedException getGlobalException()

### setGlobalException

    public void setGlobalException(org.hyperic.util.StringifiedException _globalException)

### getAreServersIncluded

    public boolean getAreServersIncluded()

  Returns:
    true if this scan includes server information, false otherwise.

### setAreServersIncluded

    public void setAreServersIncluded(boolean b)

### getIsDone

    public boolean getIsDone()

### setIsDone

    public void setIsDone(boolean b)

### getIsInterrupted

    public boolean getIsInterrupted()

### setIsInterrupted

    public void setIsInterrupted(boolean b)

### getPlatform

    public AIPlatformValue getPlatform()

### setPlatform

    public void setPlatform(AIPlatformValue platform)

### getIps

    public org.hyperic.hq.appdef.shared.AIIpValue[] getIps()

### setIps

    public void setIps(org.hyperic.hq.appdef.shared.AIIpValue[] ips)

### getCertDN

    public String getCertDN()

### setCertDN

    public void setCertDN(String certDN)

### toAgentRemoteValue

    public void toAgentRemoteValue(String keyName,
                                   org.hyperic.hq.agent.AgentRemoteValue arv)
                            throws AutoinventoryException

  Write the contents of this scan state to an AgentRemoteValue object.

  Parameters:
    `keyName` - The key name to use when populating the AgentRemoteValue with data.
    `arv` - The AgentRemoteValue to write.
  Throws:
    `AutoinventoryException` - If a problem occurs populating the AgentRemoteValue with data.

### fromAgentRemoteValue

    public static ScanStateCore fromAgentRemoteValue(String keyName,
                                                     org.hyperic.hq.agent.AgentRemoteValue arv)
                                              throws AutoinventoryException

  Read the contents of an AgentRemoteValue object and create a scan state.

  Parameters:
    `keyName` - The key name to use when reading data from the AgentRemoteValue.
    `arv` - The AgentRemoteValue to read.
  Returns:
    A ScanState object read from the AgentRemoteValue.
  Throws:
    `AutoinventoryException` - If a problem occurs reading data from the AgentRemoteValue.

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 5.8.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2010 Hyperic, Inc. support@hyperic.net, All Rights Reserved.